<?php

namespace App\Entity;


use Doctrine\ORM\Mapping as ORM;

#[ORM\Table(name: 'Requirement')]
class Requirement
{
    #[ORM\Id]
    #[ORM\OneToMany(targetEntity: Mission::class, mappedBy: 'requirements')]
    #[ORM\JoinColumn(nullable: false)]
    private ?Mission $mission = null;

    #[ORM\Id]
    #[ORM\OneToMany(targetEntity: Skill::class, mappedBy: 'requirements')]
    #[ORM\JoinColumn(nullable: false)]
    private ?Skill $skill = null;

    public function getMission(): ?Mission
    {
        return $this->mission;
    }

    public function setMission(?Mission $mission): void
    {
        $this->mission = $mission;
    }

    public function getSkill(): ?Skill
    {
        return $this->skill;
    }

    public function setSkill(?Skill $skill): void
    {
        $this->skill = $skill;
    }



}
